API Reference
Device Auth
Authenticate a motherboard or processor device id for the current session.
Endpoint
Method
POSTPath
/api/v2/device-authRequest Body
{
"session_id": "dc1ce...a3a75",
"device_type": "motherboard",
"device_id": "PDPCF001X4YJ2Q"
}
device_typemust bemotherboardorprocessor.
Success Response
{
"success": true,
"message": "Device authentication successful",
"device": {
"device_type": "motherboard",
"device_id": "PDPCF001X4YJ2Q",
"name": "My PC",
"email": null,
"subscription_id": "9059...a7bf",
"subscription": "Default",
"subscription_level": 1,
"expiry_date": "2026-04-29T07:07:00.000Z",
"last_login": "2026-04-13T12:00:00.000Z",
"registered_at": "2026-03-26T12:29:48.697Z",
"activated": true,
"hwid": "S-1-5-21-....",
"ip_address": "102.88.xxx.xxx"
}
}
Error Codes
400
MISSING_FIELDSINVALID_DEVICE_TYPE
401
INVALID_SESSIONSESSION_EXPIRED
403
MOTHERBOARD_BANNED/PROCESSOR_BANNEDMOTHERBOARD_PAUSED/PROCESSOR_PAUSEDMOTHERBOARD_EXPIRED/PROCESSOR_EXPIRED
404
MOTHERBOARD_NOT_FOUNDPROCESSOR_NOT_FOUND
500
INTERNAL